Bug 1262782 - Failed to load class org.slf4j.impl.StaticLoggerBinder
Failed to load class org.slf4j.impl.StaticLoggerBinder
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Tomas Lestach
Jan Hutař
Depends On:
  Show dependency treegraph
Reported: 2015-09-14 06:56 EDT by Pavel Studeník
Modified: 2016-11-11 08:33 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pavel Studeník 2015-09-14 06:56:38 EDT
Description of problem:
I find traceback in taskomatic log "SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder"."

This error is reported when the org.slf4j.impl.StaticLoggerBinder class could not be loaded into memory. This happens when no appropriate SLF4J binding could be found on the class path. Placing one (and only one) of slf4j-nop.jar, slf4j-simple.jar, slf4j-log4j12.jar, slf4j-jdk14.jar or logback-classic.jar on the class path should solve the problem.

since 1.6.0 As of SLF4J version 1.6, in the absence of a binding, SLF4J will default to a no-operation (NOP) logger implementation. 


Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. install spacewalk on Fedora 
2. head /var/log/rhn/rhn_taskomatic_daemon.log

Actual results:

>> /var/log/rhn/rhn_taskomatic_daemon.log
STATUS | wrapper  | 2015/09/13 16:27:33 | --> Wrapper Started as Daemon
STATUS | wrapper  | 2015/09/13 16:27:34 | Launching a JVM...
INFO   | jvm 1    | 2015/09/13 16:27:34 | Wrapper (Version 3.2.3) http://wrapper.tanukisoftware.org
INFO   | jvm 1    | 2015/09/13 16:27:34 |   Copyright 1999-2006 Tanuki Software, Inc.  All Rights Reserved.
INFO   | jvm 1    | 2015/09/13 16:27:34 |
INFO   | jvm 1    | 2015/09/13 16:27:37 | SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
INFO   | jvm 1    | 2015/09/13 16:27:37 | SLF4J: Defaulting to no-operation (NOP) logger implementation

Expected results:
without error Failed to load class "org.slf4j.impl.StaticLoggerBinder"
Comment 1 Tomas Lestach 2016-02-19 04:29:04 EST
I do not see this error on Spacewalk. I believe it has been fixed in the mean time as taskomatic works like expected.
I'm switching this BZ to ON_QA.
Comment 2 Jan Hutař 2016-11-11 08:33:52 EST
Looking at SWnightly on F23 and F24:


the issue is still there:

  # grep 'Failed to load' /var/log/rhn/rhn_taskomatic_daemon.log
  INFO   | jvm 1    | 2016/11/11 00:10:11 | SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".

Note You need to log in before you can comment on or make changes to this bug.